#include <stdio.h>

int main() {
	int x,cj,cd,cs;
	scanf("%d" ,&x);
	
  if(x<0 || x<100 || x>999){
	  printf("-1\n");
return 1;
  }
      cj=x%10;
      cd=(x/10)%10;
      cs=(x/100)%10;
     
     if(cj<cd && cj<cs && cj!=0)
       printf("%d%d%d", cj,cd,cs);
     if(cd<cj && cd <cs && cd!=0)
       printf("%d%d%d", cd,cs,cj);
     if(cs<cj && cs<cd && cs!=0)
       printf("%d%d%d", cs,cd,cj);
       
  
  return 0;
}
